<!-- goodsSearch 搜索页 -->
<template>
  <div>
    <van-popup get-container="body" class="box" v-model="show" position="right">
      <div class="c-box">
        <div class="flex flex-m searchBox">
          <van-icon @click="close" class="icon" name="arrow-left" />
          <van-search show-action class="flex-1" placeholder="请输入搜索关键词" v-model="search" @search="onSearch">
            <div slot="action" @click="onSearch">搜索</div>
          </van-search>
        </div>
        <div class="a-box">
          <div class="mb10">历史记录</div>
          <div class="cf">
            <div @click="clickSeachItem(item)" v-for="item in searchList" :key="item" class="fl search_item">{{item}}</div>
          </div>
          <div @click="clearSearchList" class="t1">清空搜索记录</div>
        </div>

        <div class="a-box">
          <div class="mb10">热门推荐</div>
          <div class="cf">
            <div @click="clickSeachItem(item)" v-for="item in hotList" :key="item" class="fl search_item">{{item}}</div>
          </div>

        </div>

      </div>
    </van-popup>
  </div>
</template>

<script>
export default {
  name: 'goodsSearch',
  props: {
    value: {
      require: true,
      type: Boolean
    },
  },
  data() {
    return {
      show: false,
      search: '',
      hotList: ['百货', '数码', '食品', '鞋子', '美妆', '洗护'],
      searchList: [],
      SSGKey: 'seachList',
    }
  },

  methods: {
    //初始化方法
    init() {

    },

    clickSeachItem(item){
      this.search = item
      this.onSearch()
    },

    onSearch() {
      let search = this.search
      if(!search){
        return 
      }
      this.searchList.push(search)
       this.searchList= [...new Set(this.searchList)]
      sessionStorage[this.SSGKey] = JSON.stringify(this.searchList)
      this.show = false
      this.$emit('search',search)
      
    },

    //获取搜索记录
    getSeachList() {
      let searchList = this.getSSG(this.SSGKey, [])
      this.searchList = this._dep(searchList)
      
    },

    clearSearchList() {
      sessionStorage[this.SSGKey] = ''
      this.getSeachList()
    },

    close() {
      this.show = false
    },
  },

  watch: {
    value(v) {
      this.show = v
      if (v) {
        this.getSeachList()
      }
    },

    show(v) {
      if(v){
        this.search = ''
      }
      this.$emit('input', v)
      
    }
  },
}

</script>
<style lang='scss' scoped>
.box {
  width: 100%;
  height: 100%;
  background: #eee;
  box-sizing: border-box;
}

.searchBox {
  background: #fff;
  // padding-top: 0.6rem;
}

.icon {
  display: block;
  padding-left: 0.1rem;
  padding-top: 0.3rem;
  padding-bottom: 0.3rem;
}

.a-box {
  border-top: 1px solid #eee;
  padding: 0.26rem 0.26rem;
  box-sizing: border-box;
  font-size: 0.3rem;
  color: #444;
}

.search_item {
  padding: 0.15rem 0.2rem;
  background: #fff;
  border-radius: 3px;
  border: 1px solid rgb(228, 219, 219);
  margin-left: 0.1rem;
  font-size: 0.29rem;
  margin-bottom: 0.1rem;
}

.t1 {
  text-align: center;
  color: #444;
  line-height: 1rem;
  border-bottom: 1px solid #e4e2e2;
}
</style>